Bug 198814 - pdsh depends on a package not in Fedora
pdsh depends on a package not in Fedora
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pdsh (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Woodard
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 15:32 EDT by Daniel Lipsitt
Modified: 2008-05-06 20:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:40:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Lipsitt 2006-07-13 15:32:52 EDT
Some packages in the pdsh-2.10-4.fc6.src.rpm require whatsup, but whatsup
doesn't appear to be in Fedora Core or Extras. It is available as an rpm from
sourceforge.
Comment 1 Ben Woodard 2006-07-19 18:46:09 EDT
I'll look into it.
Comment 2 Ben Woodard 2006-07-31 17:54:18 EDT
Daniel,
Can you explain in more detail which packages you are referring to? There is a
way to make the packages in usch a way that they depend on whatsup but the
packages that I setup don't seem to be built that way.
Comment 3 Ben Woodard 2006-07-31 19:10:15 EDT
This is for a version that I'm about to check in:

[ben@flix devel]$ for i in
/home/ben/Fedora/pdsh/test/pdsh/devel/pdsh-2.11-1.src.rpm
/home/ben/Fedora/pdsh/test/pdsh/devel/i386/pdsh-2.11-1.i386.rpm
/home/ben/Fedora/pdsh/test/pdsh/devel/i386/pdsh-rcmd-rsh-2.11-1.i386.rpm
/home/ben/Fedora/pdsh/test/pdsh/devel/i386/pdsh-rcmd-ssh-2.11-1.i386.rpm
/home/ben/Fedora/pdsh/test/pdsh/devel/i386/pdsh-debuginfo-2.11-1.i386.rpm;do
echo `basename $i`; rpm -qp --requires $i; echo; done
pdsh-2.11-1.src.rpm
readline-devel
rpmlib(CompressedFileNames) <= 3.0.4-1

pdsh-2.11-1.i386.rpm
/usr/bin/perl
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.2)
libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4)
libdl.so.2
libdl.so.2(GLIBC_2.0)
libdl.so.2(GLIBC_2.1)
libhistory.so.5
libncurses.so.5
libpthread.so.0
libpthread.so.0(GLIBC_2.0)
libpthread.so.0(GLIBC_2.1)
libpthread.so.0(GLIBC_2.2)
libpthread.so.0(GLIBC_2.3.2)
libreadline.so.5
pdsh-rcmd
perl >= 0:5.003
perl(Getopt::Std)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

pdsh-rcmd-rsh-2.11-1.i386.rpm
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4)
libpthread.so.0
libpthread.so.0(GLIBC_2.0)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

pdsh-rcmd-ssh-2.11-1.i386.rpm
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3)
libpthread.so.0
libpthread.so.0(GLIBC_2.0)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

pdsh-debuginfo-2.11-1.i386.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

-------
According to the author pdsh-rcmd-rsh doesn't need a rsh dependency since it
implements its own version of rcmd. SSH could probably use a dependency though.
Comment 4 Daniel Lipsitt 2006-07-31 22:23:13 EDT
I had this section in mind:

%package   mod-nodeupdown
Summary:   Provides libnodeupdown support for pdsh
Group:     System Environment/Base
Requires:  whatsup
%description mod-nodeupdown
Pdsh module providing -v functionality using libnodeupdown.

Other sections have other requirements I haven't checked because I wasn't
interested in them. Thanks for looking into this.
Comment 5 Bug Zapper 2008-04-03 13:47:00 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:40:19 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.